Subject: bug#10491: unread-char and eof

From: Aleix Conchillo Flaqué <[email-masked]>
Date: Tue, 17 Jan 2012 16:57:37 -0800

On Mon, Jan 16, 2012 at 7:31 PM, Daniel Hartwig <[email-masked]> wrote:
>
> Nor are type errors mentioned by most other functions, they are simply
> implied.  This convention is mentioned in the revised report [1]:
>
>  It is an error for an operation to be presented with an argument that it
>  is not specified to handle.  For succinctness, we follow the convention
>  that if an argument name is also the name of a type listed in section
>  *note Disjointness of types::, then that argument must be of the named
>  type.  For example, ...
>
> [1] http://people.csail.mit.edu/jaffer/r5rs_3.html#SEC11

I see, convinced. Thanks for the feedback.

You can mark it as invalid and close it.